<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <title>Products</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="navbar-nav">
        <div class="nav-item active">
            <a class="nav-link" href="/products/">Products <span class="sr-only">(current)</span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link" href="/orders/">Orders <span class="sr-only"></span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link" href="/products/add">New Product <span class="sr-only"></span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link" href="/orders/add">New Order <span class="sr-only"></span></a>
        </div>
    </div>
</nav>

<div th:switch="${#lists.isEmpty(products)}">
    <h2 th:case="true">No products found!</h2>
    <div th:case="*">
        <h2>Products</h2>
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
            Find Product
        </button>
        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th>DI</th>
                <th>Name</th>
                <th>Color</th>
                <th>Price</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="product : ${products}">
                <td th:text="${product.id}"></td>
                <td th:text="${product.name}"></td>
                <td th:text="${product.color}"></td>
                <td th:text="${product.price}"></td>
            </tr>
            </tbody>
        </table>
    </div>
    <p><a href="/products/add">Add a new product</a></p>
</div>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Find Product</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#" method="post" th:action="@{/products/findProductById}" th:object="${product}">
                    <div class="form-group">
                        <label for="productId">Find By ID</label>
                        <input th:field="*{id}" type="number" class="form-control" id="productId" placeholder="Product ID">
                    </div>
                    <button type="submit" class="btn btn-primary">Find</button>
                </form>
                <form action="#" method="post" th:action="@{/products/findProductByName}" th:object="${product}">
                    <div class="form-group">
                        <label for="productName">Find By Name</label>
                        <input th:field="*{name}" type="text" class="form-control" id="productName" placeholder="Product Name">
                    </div>
                    <button type="submit" class="btn btn-primary">Find</button>
                </form>
                <form action="#" method="post" th:action="@{/products/findProductByColor}" th:object="${product}">
                    <div class="form-group">
                        <label for="productColor">Find By Color</label>
                        <input th:field="*{color}" type="text" class="form-control" id="productColor" placeholder="Product Color">
                    </div>
                    <button type="submit" class="btn btn-primary">Find</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
</body>
</html>
